<?php
    if (isset($_GET['data'])&&isset($_GET['date_range'])&&isset($_GET['key'])) {
        if ($_GET['key'] === 'brt6k11t') {
            require('../connect.php');

            $conn = new mysqli($host, $user, $pass, $database);

            // $date_range = '2023-06-26';
            $date_range = $_GET['date_range'];

            if(isset($_GET['limit'])){
                $limit = $_GET['limit'];
                $sql = "SELECT * FROM $table WHERE DATE(`datetime`)='$date_range' LIMIT $limit";
            }else{
                $sql = "SELECT * FROM $table WHERE DATE(`datetime`)='$date_range'";
            }

            $result = mysqli_query($conn, $sql);

            // $string = '[r204,r213,r217,r223]';
            $string = $_GET['data'];
            $string = trim($string, '[]');
            $string = str_replace(',', ' ', $string);
            $array = explode(' ', $string);

            $data = array(); // Tablica na dane
            $labels = array(); // Tablica na unikalne etykiety dat

            if (mysqli_num_rows($result) > 0) {
                // Odczytaj unikalne daty z wyników zapytania
                while ($row = mysqli_fetch_assoc($result)) {
                    $datetime = $row['datetime'];
                
                    // Konwersja pełnej daty na godzinę
                    $hour = date('H:i', strtotime($datetime)); // Format 24-godzinny (0-23)
                
                    // Sprawdzenie, czy godzina nie istnieje jeszcze w tablicy $labels
                    if (!in_array($hour, $labels)) {
                        $labels[] = $hour; // Dodaj godzinę do tablicy $labels
                    }
                }

                foreach ($array as $element) {
                    $values = array(); // Tablica na wartości

                    // Przewiń kursor wyników do początku dla każdego elementu
                    mysqli_data_seek($result, 0);

                    while ($row = mysqli_fetch_assoc($result)) {
                        if (($row['r100'] !== '') || ($row['r201'] && $row['r202'] && $row['r203'] && $row['r204'] && $row['r205'] !== '-1')) {
                            $values[] = $row[$element]; // Dodawanie wartości do tablicy
                        }
                    }

                    $data[$element] = array(
                        'values' => $values // Utworzenie tablicy danych z wartościami
                    );
                }

                $response = array(
                    'success' => 'yes',
                    'labels' => $labels, // Dodanie tablicy z unikalnymi etykietami do odpowiedzi
                    'data' => $data // Dodanie tablicy danych do odpowiedzi
                );
            } else {
                $response = array(
                    'success' => 'no',
                    'message' => 'Brak danych w wybranym dniu'
                );
            }

            $conn->close();

            header('Content-Type: application/json');
            echo json_encode($response);
	}
    }
?>
